Name:		viewvc
Version:	1.0.1
Release:	1
Summary:	A browser interface for CVS and Subversion version control repositories
Epoch:		0
License:	BSD
Group:		System/Servers
Source0:	http://www.viewvc.org/viewvc-%{version}.tar.gz
Source1:	%{name}.README.mdv.bz2
Patch0:		%{name}-tools.patch
Patch1:		%{name}-1.0.config.patch
URL:		http://www.viewvc.org/
Requires:	httpd
BuildRequires:  python
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	viewcvs
Provides:	viewcvs = %{epoch}:%{version}-%{release}

%description
ViewVC is a browser interface for CVS and Subversion version control 
repositories. It generates templatized HTML to present navigable 
directory, revision, and change log listings. It can display specific 
versions of files as well as diffs between those versions. Basically, 
ViewVC provides the bulk of the report-like functionality you expect out 
of your version control tool, but much more prettily than the average 
textual command-line program output.

Here are some of the additional features of ViewVC:

    * Support for filesystem-accessible CVS and Subversion repositories.
    * Individually configurable virtual host support.
    * Line-based annotation/blame display (CVS only).
    * Revision graph capabilities (via integration with CvsGraph) (CVS 
      only).
    * Syntax highlighting support (via integration with GNU enscript).
    * Bonsai-like repository query facilities.
    * Template-driven output generation.
    * Colorized, side-by-side differences.
    * Tarball generation (by tag/branch for CVS, by revision for 
      Subversion).
    * I18N support based on the Accept-Language request header.
    * Ability to run either as CGI script or as a standalone server.
    * Regexp-based file searching.
    * INI-like configuration file (as opposed to requiring actual code 
      tweaks).

%prep
%setup -q
%patch0 -p1
# %patch1 -p0
bzcat %{SOURCE1} > README.mdv
find . -type d -name .svn | xargs %{__rm} -rf

%build

%install
%{__rm} -rf %{buildroot}
%{__python} ./viewvc-install --destdir=%{buildroot} --prefix=%{_datadir}/%{name}

# remove mod_python files
%{__rm} -rf %{buildroot}%{_datadir}/%{name}/bin/mod_python

# fix python files perms and shellbang
%{__perl} -pi \
	-e 's|/usr/local/bin/python|%{_bindir}/python|g;' \
	-e 's|\s*/usr/bin/env python|%{_bindir}/python|g;' \
	-e 's|CONF_PATHNAME =.*|CONF_PATHNAME = r"%{_sysconfdir}/%{name}/viewvc.conf"|g;' \
	`find %{buildroot}%{_datadir}/%{name} -type f` 

# install cgi's to www directory
%{__mkdir_p} %{buildroot}%{_var}/www/cgi-bin
%{__install} -m 755 %{buildroot}%{_datadir}/%{name}/bin/cgi/*.cgi %{buildroot}%{_var}/www/cgi-bin
%{__rm} -rf %{buildroot}%{_datadir}/%{name}/bin/cgi

# fix paths in configuration
%{__perl} -pi \
  -e 's|templates/|%{_datadir}/%{name}/templates/|g;' \
  -e 's|^#docroot = .*|docroot = /%{name}|;' \
  -e 's|^cvsgraph_conf = .*|cvsgraph_conf = %{_sysconfdir}/%{name}/cvsgraph.conf|;' \
  %{buildroot}%{_datadir}/%{name}/viewvc.conf

# install config to sysconf directory
%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}
%{__install} -m 644 %{buildroot}%{_datadir}/%{name}/viewvc.conf %{buildroot}%{_sysconfdir}/%{name}/viewvc.conf
%{__rm} -f %{buildroot}%{_datadir}/%{name}/viewvc.conf
%{__install} -m 644 %{buildroot}%{_datadir}/%{name}/cvsgraph.conf %{buildroot}%{_sysconfdir}/%{name}/cvsgraph.conf
%{__rm} -f %{buildroot}%{_datadir}/%{name}/cvsgraph.conf

# move static files under %{_var}/www
%{__mv} %{buildroot}%{_datadir}/%{name}/templates/docroot %{buildroot}%{_var}/www/%{name}

# compile the python files
find %{buildroot}%{_datadir}/%{name}/lib -type f -name "*.pyc" | xargs %{__rm} -f
%{__python} -O %{_libdir}/python*/compileall.py \
%{buildroot}%{_datadir}/%{name}/lib

# apache configuration
%{__mkdir_p} %{buildroot}/etc/httpd/conf.d
%{__cat} > %{buildroot}/etc/httpd/conf.d/%{name}.conf <<EOF
##
## %{name} sample configuration
##

# Alias /%{name} %{_var}/www/%{name}
#
# <Directory %{_var}/www/%{name}>
#    Allow from all
# </Directory>
EOF

# set mode 755 on executable scripts
%{__grep} -rl '^#!' %{buildroot}%{_datadir}/%{name} | xargs %{__chmod} 755

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README INSTALL TODO README.mdv
%config(noreplace) %{_sysconfdir}/%{name}
%config(noreplace) /etc/httpd/conf.d/%{name}.conf
%{_datadir}/%{name}
%{_var}/www/cgi-bin/*.cgi
%{_var}/www/%{name}

%changelog
* Fri Jul 28 2006 Aleksey Nogin <rpm@nogin.org> 0:1.0.1-1
Updated for Red Hat

* Fri Jul 21 2006 David Walluck <walluck@mandriva.org> 0:1.0.1-1mdv2007.0
- 1.0.1
- fix macros in changelog

* Mon Jun 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0:1.0.0-2mdv2007.0
- new webapp macros
- decompress all patches

* Tue May 02 2006 David Walluck <walluck@mandriva.org> 0:1.0.0-1mdk
- 1.0.0
- fix find syntax

* Mon Apr 10 2006 David Walluck <walluck@mandriva.org> 0:1.0-0.20060410.1mdk
- updated snapshot in line with the official 1.0.0-rc1 release on Apr 06

* Tue Mar 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0:1.0-0.20060328.1mdk
- updated snapshot (should fix query mode)
- rediff config patch
- make most requires optionals, and document them in README.mdv

* Sun Mar 19 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0:1.0-0.20060123.2mdk
- backport compatible apache configuration file
- require MySQL-python for query.cgi

* Mon Jan 23 2006 David Walluck <walluck@mandriva.org> 0:1.0-0.20060123.1mdk- CVS (20060123)

* Tue Nov 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0:1.0-0.20050115.6mdk
- FHS installation:
 - move configuration files to %%{_sysconfdir}/%%{name}
 - move static files to %%{_var}/www/%%{name}
 - move data files to %%{_datadir}/%%{name}
- spec cleanup
- fix URL
- fix python files perms and shellbang

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.20050115.5mdk
- Fix Requires

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.20050115.4mdk
- Fix BuildRequires

* Sun Feb 06 2005 David Walluck <walluck@mandrake.org> 0:1.0-0.20050115.3mdk
- rebuild

* Sat Jan 29 2005 David Walluck <walluck@mandrake.org> 0:1.0-0.20050115.2mdk
- add tools
- patch tools to fix tools/make_database

* Mon Oct 30 2004 David Walluck <walluck@mandrake.org> 0:1.0-0.20050115.1mdk
- 1.0-dev (CVS-20050115)

* Mon Oct 30 2004 David Walluck <walluck@mandrake.org> 0:1.0-0.20041030.1mdk
- 1.0-dev (CVS-20041030)
- fix website docs install
- fix apache icons location
- remove CVS dirs
- don't copy tools
- requires python-svn (needed for svn support)
- doesn't require enscript by default
- doesn't require rcs by default

* Tue Jun 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-0.20040223.4mdk
- Requires python itself (cgi.py)

* Tue Feb 24 2004 David Walluck <walluck@linux-mandrake.com> 0:1.0-0.20040223.3mdk
- use existing perl regex instead of patch

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-0.20040223.2mdk
- %%patch0: uses png icons since http2 don't have gif

* Mon Feb 23 2004 David Walluck <walluck@linux-mandrake.com> 0:1.0-0.20040223.1mdk
- 1.0-dev (CVS-20040223) - svn 1.0 is out now, so why not update this as well
- update my email address in %%changelog

* Sun Feb 01 2004 David Walluck <walluck@linux-mandrake.com> 0:1.0-0.20040201.1mdk
- 1.0-dev (CVS-20040201) with fix for enabling of cvsgraph when not using cvs
- fix path of custom cvsgraph config

* Sun Oct 19 2003 David Walluck <walluck@linux-mandrake.com> 0:1.0-0.20031104.1mdk
- 1.0-dev (CVS-20031104) with svn support

* Thu May 29 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.2-5mdk
- fixed documentation and icons installation
- fhs patch
- cvsgraph patch
- noarch
- spec cleanup

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-4mdk
- rebuild

* Tue Feb 12 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.9.2-3mdk
- Modify the viewcvs.cgi "binary" to include the Library Dir by default
- Modify the Python viewcvs.py, query.py and cvsdb.py to
  include the CONF_PATHNAME
- Make setup be quiet
- Don't compile the python sources, because else references to the
  buildroot will be in the compiled files!

* Tue Feb 12 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.9.2-2mdk
- Move cgi files from /var/www/html/cgi-bin to /var/www/cgi-bin
- Change URL
- Include the "template" configuration files as documentation
- Add %%clean section to make rpmlint happy
- This needs a webserver - Added Requires: webserver

* Wed Jan 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-1mdk
- switch to python-2.2
- new release

* Mon Dec 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Thu Sep 06 2001 Etienne Faure <etienne@mandrakesoft.com> 0.7-1mdk
- version 0.7

* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- fix build

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- macros & clean spec

* Mon Jul 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-1mdk
- first Mandrake version.    
